REST reference
Lti Placements
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X GET "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/roster"{ "contextId": "string", "contextTitle": "string", "readAt": "string", "total": 0, "known": 0, "members": [ { "subject": "string", "roles": [ "string" ], "name": "string", "email": "string", "assertedUsername": "string", "status": "string", "userId": "string", "userName": "string", "strength": "string" } ], "disclosed": { "withUsername": 0, "withEmail": 0, "withName": 0 }}curl -X POST "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/roster/enrol"{ "read": 0, "linked": 0, "granted": 0, "skipped": [ { "subject": "string", "name": "string", "reason": "string" } ]}curl -X GET "https://example.com/lti/placements"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23", "platformName": "string", "contextTitle": "string", "contextId": "string", "activityId": "bdfd0655-55e6-45e6-8bbc-6ed31d3820b5", "activitySlug": "string", "activityName": "string", "shared": true, "sharingAcknowledged": true, "createdAt": "2019-08-24T14:15:22Z", "looksLikeCopyOf": "9ec278ac-942b-4969-b8d8-d5e027aef057", "copiedFromContext": "string" }]curl -X POST "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/sharing"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23", "platformName": "string", "contextTitle": "string", "contextId": "string", "activityId": "bdfd0655-55e6-45e6-8bbc-6ed31d3820b5", "activitySlug": "string", "activityName": "string", "shared": true, "sharingAcknowledged": true, "createdAt": "2019-08-24T14:15:22Z", "looksLikeCopyOf": "9ec278ac-942b-4969-b8d8-d5e027aef057", "copiedFromContext": "string"}GET
/lti/placements/{id}/gradesPath Parameters
id*string
Format
uuidQuery Parameters
verify?boolean
Response Body
curl -X GET "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/grades"{ "total": 0, "synchronised": 0, "pending": 0, "deferred": 0, "withheld": 0, "failed": 0, "drifted": 0, "lastError": "string"}curl -X POST "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/grades/resync"Empty
POST
/lti/placements/{id}/copy-activityPath Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/lti/placements/497f6eca-6276-4993-bfeb-53cbbbba6f08/copy-activity" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "platformId": "32a6e381-64f4-4911-86b6-3bf681b64d23", "platformName": "string", "contextTitle": "string", "contextId": "string", "activityId": "bdfd0655-55e6-45e6-8bbc-6ed31d3820b5", "activitySlug": "string", "activityName": "string", "shared": true, "sharingAcknowledged": true, "createdAt": "2019-08-24T14:15:22Z", "looksLikeCopyOf": "9ec278ac-942b-4969-b8d8-d5e027aef057", "copiedFromContext": "string"}